org.apache.lucene.queryParser.surround.query

## Class SrndTruncQuery

- java.lang.Object
- - org.apache.lucene.queryParser.surround.query.SrndQuery
  - - org.apache.lucene.queryParser.surround.query.SimpleTerm
    - - org.apache.lucene.queryParser.surround.query.SrndTruncQuery

- All Implemented Interfaces:
    java.lang.Cloneable, java.lang.Comparable, DistanceSubQuery

      public class SrndTruncQuery
      extends SimpleTerm

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.queryParser.surround.query.SimpleTerm

      `SimpleTerm.MatchingTermVisitor`

  - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.queryParser.surround.query.SrndQuery

      `theEmptyLcnQuery`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SrndTruncQuery(java.lang.String truncated, char unlimited, char mask)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `appendRegExpForChar(char c, java.lang.StringBuffer re)`
    `java.lang.String` | `getTruncated()`
    `protected boolean` | `matchingChar(char c)`
    `java.lang.String` | `toStringUnquoted()`
    `protected void` | `truncatedToPrefixAndPattern()`
    `void` | `visitMatchingTerms(org.apache.lucene.index.IndexReader reader, java.lang.String fieldName, SimpleTerm.MatchingTermVisitor mtv)`

    - ### Methods inherited from class org.apache.lucene.queryParser.surround.query.SimpleTerm

      `addSpanQueries, compareTo, distanceSubQueryNotAllowed, getFieldOperator, getQuote, makeLuceneQueryFieldNoBoost, suffixToString, toString`

    - ### Methods inherited from class org.apache.lucene.queryParser.surround.query.SrndQuery

      `clone, getWeight, getWeightOperator, getWeightString, isFieldsSubQueryAcceptable, isWeighted, makeLuceneQueryField, setWeight, weightToString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SrndTruncQuery

          public SrndTruncQuery(java.lang.String truncated,
                                char unlimited,
                                char mask)

  - ### Method Detail

    - #### getTruncated

          public java.lang.String getTruncated()

    - #### toStringUnquoted

          public java.lang.String toStringUnquoted()

      Specified by:
        `toStringUnquoted` in class `SimpleTerm`

    - #### matchingChar

          protected boolean matchingChar(char c)

    - #### appendRegExpForChar

          protected void appendRegExpForChar(char c,
                                             java.lang.StringBuffer re)

    - #### truncatedToPrefixAndPattern

          protected void truncatedToPrefixAndPattern()

    - #### visitMatchingTerms

          public void visitMatchingTerms(org.apache.lucene.index.IndexReader reader,
                                         java.lang.String fieldName,
                                         SimpleTerm.MatchingTermVisitor mtv)
                                  throws java.io.IOException

      Specified by:
        `visitMatchingTerms` in class `SimpleTerm`
      Throws:
        `java.io.IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.